package com.muyu.common.core.enums.activity.team;

/**
 * @program: cloud-server
 * @description: 参团类型枚举类
 * @author: MengFanKuo
 * @create: 2024-11-21 11:39
 * *
 */
public enum TeamOpenInfoEnum {
    OPEN_TEAM("open_team","开团"),
    IN_TEAM("in_team","参团")
    ;
    private final String code;
    private final  String label;

    TeamOpenInfoEnum(String code, String label) {
        this.code = code;
        this.label = label;
    }

    public String code() {
        return code;
    }

    public String label() {
        return label;
    }
}
