package com.muyu.group.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @program: cloud-server
 * @description: 拼团商品规格
 * @author: MengFanKuo
 * @create: 2024-11-23 17:33
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivitySkuInfo {
    /**
     * 商品规格属性
     */
    private String productSku;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     *拼团库存
     */
    private Long teamStock;
}
