package com.muyu.group.domain.model;

import com.muyu.common.core.web.model.QueryModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @program: cloud-server
 * @description: 团购活动列表查询模型
 * @author: MengFanKuo
 * @create: 2024-11-20 20:09
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoListQueryModel extends QueryModel<ActivityTeamInfoListQueryModel> {
    /**
     * 搜索关键词
     */
    private String keyWord;
    /**
     * 状态
     */
    private String status;
}
