package com.muyu.group.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @program: cloud-server
 * @description: 策略模型
 * @author: MengFanKuo
 * @create: 2024-11-23 15:55
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TeamStrategyModel {
    /**
     * 活动时间
     */
    private Date groupTime;
    /**
     * 拼团时效
     */
    private Long groupAgeing;
    /**
     * 拼团人数
     */
    private Long groupNumber;
    /**
     * 总购买数量
     */
    private Long grossQuantity;
    /**
     * 单词购买数量
     */
    private Long purchaseQuantity;
    /**
     * 补齐人数
     */
    private Long replenishmentNumber;
}
