package com.muyu.activity.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.group.domain.TeamStrategyExemptionHundred;
import com.muyu.group.domain.TeamStrategyExemptionOrdinary;
import com.muyu.activity.mapper.TeamStrategyExemptionOrdinaryMapper;
import com.muyu.activity.service.TeamStrategyExemptionOrdinaryService;
import com.muyu.group.domain.model.TeamStrategyExemptionOrdinaryModel;
import org.springframework.stereotype.Service;

@Service
public class TeamStrategyExemptionOrdinaryServiceImpl extends ServiceImpl<TeamStrategyExemptionOrdinaryMapper, TeamStrategyExemptionOrdinary> implements TeamStrategyExemptionOrdinaryService {
    /**
     * 添加普通策略返回主键
     * @param techBuild
     * @return
     */
    @Override
    public Long saveOrdinary(TeamStrategyExemptionOrdinaryModel techBuild) {
        TeamStrategyExemptionOrdinary teamStrategyExemptionOrdinary = TeamStrategyExemptionOrdinary.normalBuild(techBuild);
        this.save(teamStrategyExemptionOrdinary);
        return teamStrategyExemptionOrdinary.getId();
    }
}
