package com.muyu.activity.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.group.domain.TeamStrategyExemption;
import com.muyu.activity.mapper.TeamStrategyExemptionMapper;
import com.muyu.activity.service.TeamStrategyExemptionService;
import com.muyu.group.domain.model.TeamStrategyExemptionModel;
import org.springframework.stereotype.Service;

@Service
public class TeamStrategyExemptionServiceImpl extends ServiceImpl<TeamStrategyExemptionMapper, TeamStrategyExemption> implements TeamStrategyExemptionService {
    /**
     * 添加策略返回id
     * @param freeBuild
     * @return
     */
    @Override
    public Long saveStrategy(TeamStrategyExemptionModel freeBuild) {
        TeamStrategyExemption teamStrategyExemption = TeamStrategyExemption.freeBuild(freeBuild);
        this.save(teamStrategyExemption);
        return teamStrategyExemption.getId();
    }
}
