package com.muyu.product.domain.resp;

import com.muyu.product.domain.AsProductAttributeInfo;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.domain.model.TemplateAttributeModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;
@SuperBuilder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProjectSkuInfoResp {
    /**
     * 商品Sku集合
     */
    private List<ProjectSkuInfo> projectSkuInfoList;  //projectSkuInfoList
    /**
     * 商品和属性集合
     */
    private List<AsProductAttributeInfo> productAttributeInfoList; //productAttributeInfoList
}
