package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttributeInfoResp  {
    /** 属性组编号 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "属性组编号", value = "属性组编号")
    private Long id;

    /** 组名称 */
    @Excel(name = "组名称")
    @ApiModelProperty(name = "组名称", value = "组名称", required = true)
    private String name;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty(name = "状态", value = "状态", required = true)
    private String states;
    //商品属性
    private List<AttributeInfo> attributeInfos;
}
